import request from '@/utils/request'


// 新增拆旧管
export function addTearOldPipe(param) {
	return request({
		'url': '/zdsz/engineeringCivil',
		'method': 'post',
		'data': param
	})
}

// 获取小区字典值
export function getAreaList(district) {
	const data = {
		district
	}
	return request({
		'url': '/zdsz/area/getAreaList',
		'method': 'get',
		'data': data
	})
}
// 获取楼宇字典值
export function getBuildingList(areaId) {
	const data = {
		areaId
	}
	return request({
		'url': '/zdsz/building/getBuildingList',
		'method': 'get',
		'data': data
	})
}
// 获取单元字典值
export function getUnitList(buildingId) {
	const data = {
		buildingId
	}
	return request({
		'url': '/zdsz/unit/getUnitList',
		'method': 'get',
		'data': data
	})
}
// 获取房间字典值
export function getHousesList(unitId) {
	const data = {
		unitId
	}
	return request({
		'url': '/zdsz/house/getHousesList',
		'method': 'get',
		'data': data
	})
}